Forecast API
Included with Medium and Premium. Create an API key · Plans
Quick start
curl -H "Authorization: Bearer $API_KEY" \
"https://api.[DOMAIN]/v1/forecasts?country=PL&target=price&delivery_date=latest"
{
"country": "PL", "target": "price", "tier": "premium", "unit": "EUR/MWh",
"delivery_date": "2026-10-19", "run": "pre_auction",
"issued_at": "2026-10-18T06:00:00Z", "resolution": "PT15M",
"quantiles": [0.05, 0.1, 0.25, 0.5, 0.75, 0.9, 0.95],
"values": [{"ts": "2026-10-18T22:00:00Z", "q": [118, 125, 136, 145, 163, 178, 196]}, ...]
}Endpoints
GET /v1/forecastsOne delivery day; target=price|load|wind|solar (MW for load / wind / solar); delivery_date=latest or YYYY-MM-DD; run=latest or a run name; format=json|csv|xlsx.
GET /v1/forecasts/historyA range of delivery days (start, end), limited to your plan's history.
GET /v1/actualsPublished auction results and actual load, wind and solar.
GET /v1/accuracyDaily and total MAE / RMSE of live forecasts.
GET /v1/metaCountries, runs and what your plan includes.